# Generated from objc2swift_assistant-0.3.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name objc2swift_assistant

Name: rubygem-%{gem_name}
Version: 0.3.6
Release: 1%{?dist}
Summary: Assists in the conversion of Objective-C code to Swift
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
BuildArch: noarch

%description
A command line tool and library to generate Swift skeletons from Objective-C
code. This tool can be used to "jumpstart" porting from Objective-C to Swift.
This tool does not attempt to transliterate from Objective-C to Swift.
Instead, the original code is included in comments within the generated Swift
skeletons.
Swift Version 1.2 syntax is generated at this time. The simple Objective-C
pattern matcher is used to capture the constructs that will be ported to
Swift.
This technique can be confused by complex constructs, but has the advantage
that the source code does not have to compile. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/objc2swift_assistant
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.idea
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/objc2swift_assistant.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.3.6-1
- Initial package
